<?php


return  
    [
        'model' => [
            'model' => \Crm\Agent\Models\Agent::class,
            'table' => 'crm_agent_agents',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'email',  'password',  'location',  'gender',  'dob',  'doj',  'mobile',  'phone',  'api_token',  'email_verified_at',  'status',  'user_type',  'user_id',  'address',  'street',  'city',  'district',  'state',  'country',  'photo',  'certificates',  'experience',  'remember_token'],
            'translatables' => [],
            'upload_folder' => 'agent/agent',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'agent::agent.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'agent::agent.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "password", 
                "type" => "text", 
                "label" => 'agent::agent.label.password', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'agent::agent.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "gender", 
                "type" => "text", 
                "label" => 'agent::agent.label.gender', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'agent::agent.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "doj", 
                "type" => "text", 
                "label" => 'agent::agent.label.doj', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'agent::agent.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'agent::agent.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "api_token", 
                "type" => "text", 
                "label" => 'agent::agent.label.api_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email_verified_at", 
                "type" => "text", 
                "label" => 'agent::agent.label.email_verified_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'agent::agent.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'agent::agent.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city", 
                "type" => "text", 
                "label" => 'agent::agent.label.city', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "district", 
                "type" => "text", 
                "label" => 'agent::agent.label.district', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state", 
                "type" => "text", 
                "label" => 'agent::agent.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country", 
                "type" => "text", 
                "label" => 'agent::agent.label.country', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo", 
                "type" => "text", 
                "label" => 'agent::agent.label.photo', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "experience", 
                "type" => "text", 
                "label" => 'agent::agent.label.experience', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remember_token", 
                "type" => "text", 
                "label" => 'agent::agent.label.remember_token', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.name',
                "placeholder" => 'agent::agent.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.email',
                "placeholder" => 'agent::agent.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'password',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.password',
                "placeholder" => 'agent::agent.placeholder.password',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.location',
                "placeholder" => 'agent::agent.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'gender',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'agent::agent.label.gender',
                "placeholder" => 'agent::agent.placeholder.gender',
                "rules" => '',
                "options" => function(){
                    return trans('agent::agent.options.gender');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'agent::agent.label.dob',
                "placeholder" => 'agent::agent.placeholder.dob',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'doj',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'agent::agent.label.doj',
                "placeholder" => 'agent::agent.placeholder.doj',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.mobile',
                "placeholder" => 'agent::agent.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.phone',
                "placeholder" => 'agent::agent.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'api_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.api_token',
                "placeholder" => 'agent::agent.placeholder.api_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email_verified_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'agent::agent.label.email_verified_at',
                "placeholder" => 'agent::agent.placeholder.email_verified_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.address',
                "placeholder" => 'agent::agent.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.street',
                "placeholder" => 'agent::agent.placeholder.street',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.city',
                "placeholder" => 'agent::agent.placeholder.city',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'district',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.district',
                "placeholder" => 'agent::agent.placeholder.district',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.state',
                "placeholder" => 'agent::agent.placeholder.state',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'agent::agent.label.country',
                "placeholder" => 'agent::agent.placeholder.country',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.photo',
                "placeholder" => 'agent::agent.placeholder.photo',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'certificates',
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'agent::agent.label.certificates',
                "placeholder" => 'agent::agent.placeholder.certificates',
                "rules" => '',
                "group" => "main.main",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'experience',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.experience',
                "placeholder" => 'agent::agent.placeholder.experience',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remember_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'agent::agent.label.remember_token',
                "placeholder" => 'agent::agent.placeholder.remember_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'agent/agent/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'agent/agent/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'agent/agent',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'agent/agent',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'agent/agent',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'agent/agent',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'agent::agent.label.created_at',
            'name' => 'agent::agent.label.name',
            'status' => 'agent::agent.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "agent::agent.groups.main",
                'group' => "main.main",
                'title' => "agent::agent.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "agent::agent.groups.details",
                'group' => "main.details",
                'title' => "agent::agent.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "agent::agent.groups.images",
                'group' => "main.images",
                'title' => "agent::agent.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "agent::agent.groups.settings",
                'group' => "main.settings",
                'title' => "agent::agent.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Crm',
            'package' => 'Agent',
            'module' => 'Agent',
        ],

        
        
    ];
