<?php

namespace Crm\Agent\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class AgentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('crm_agent_agents')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'crm.agent.agent.view',
                'name'      => 'View Agent',
            ],
            [
                'slug'      => 'crm.agent.agent.create',
                'name'      => 'Create Agent',
            ],
            [
                'slug'      => 'crm.agent.agent.edit',
                'name'      => 'Update Agent',
            ],
            [
                'slug'      => 'crm.agent.agent.delete',
                'name'      => 'Delete Agent',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/agent/agent',
                'name'        => 'Agent',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/agent/agent',
                'name'        => 'Agent',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'agent',
                'name'        => 'Agent',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Agent',
                'module'    => 'Agent',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'crm.agent.agent.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
